=begin
/****************************************************************************
** $Id: qt/examples/buttongroups/main.cpp   2.2.2   edited 2000-08-31 $
**
** Copyright (C) 1992-2000 Trolltech AS.  All rights reserved.
**
** This file is part of an example program for Qt.  This example
** program may be used, distributed and modified without limitation.
**
*****************************************************************************/
=end
#include "buttongroups.h"
#include <qapplication.h>
require "qt2"
include Qt2
require "buttongroups_lib.rb"

   a = QApplication.new( [$0]+ARGV );

    buttonsgroups = ButtonGroups.new;
    buttonsgroups.resize( 500, 250 );
    buttonsgroups.setCaption( "Examples for Buttons and Groups" );
    a.setMainWidget( buttonsgroups );
    buttonsgroups.show();

    a.exec();

